home *** CD-ROM | disk | FTP | other *** search
/ Usenet 1994 October / usenetsourcesnewsgroupsinfomagicoctober1994disk2.iso / unix / volume22 / elm2.3 / part05 < prev    next >
Text File  |  1990-06-07  |  50KB  |  1,476 lines

  1. Subject:  v22i064:  ELM mail syste, release 2.3, Part05/26
  2. Newsgroups: comp.sources.unix
  3. Approved: rsalz@uunet.UU.NET
  4. X-Checksum-Snefru: 518d2aa6 700bcfc0 0d955c25 16443972
  5.  
  6. Submitted-by: Syd Weinstein <syd@dsinc.dsi.com>
  7. Posting-number: Volume 22, Issue 64
  8. Archive-name: elm2.3/part05
  9.  
  10. ---- Cut Here and unpack ----
  11. #!/bin/sh
  12. # this is part 5 of a multipart archive
  13. # do not concatenate these parts, unpack them in order with /bin/sh
  14. # file doc/Form.guide continued
  15. #
  16. CurArch=5
  17. if test ! -r s2_seq_.tmp
  18. then echo "Please unpack part 1 first!"
  19.      exit 1; fi
  20. ( read Scheck
  21.   if test "$Scheck" != $CurArch
  22.   then echo "Please unpack part $Scheck next!"
  23.        exit 1;
  24.   else exit 0; fi
  25. ) < s2_seq_.tmp || exit 1
  26. echo "x - Continuing file doc/Form.guide"
  27. sed 's/^X//' << 'SHAR_EOF' >> doc/Form.guide
  28. SHAR_EOF
  29. echo "File doc/Form.guide is complete"
  30. chmod 0444 doc/Form.guide || echo "restore of doc/Form.guide fails"
  31. echo "x - extracting doc/Makefile.SH (Text)"
  32. sed 's/^X//' << 'SHAR_EOF' > doc/Makefile.SH &&
  33. Xcase $CONFIG in
  34. X'')
  35. X    if test ! -f config.sh; then
  36. X    ln ../config.sh . || \
  37. X    ln ../../config.sh . || \
  38. X    ln ../../../config.sh . || \
  39. X    (echo "Can't find config.sh."; exit 1)
  40. X    fi
  41. X    . ./config.sh
  42. X    ;;
  43. Xesac
  44. Xcase "$0" in
  45. X*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
  46. Xesac
  47. X
  48. Xecho "Extracting doc/Makefile (with variable substitutions)"
  49. Xcat >Makefile <<!GROK!THIS!
  50. X#
  51. X# $Id: Makefile.SH,v 4.1 90/04/28 22:41:07 syd Exp $
  52. X#
  53. X#  Makefile for the documentation of the ELM mail system
  54. X#
  55. X#         (C) Copyright 1989, 1990, USENET Community Trust
  56. X#
  57. X#  $Log:    Makefile.SH,v $
  58. X# Revision 4.1  90/04/28  22:41:07  syd
  59. X# checkin of Elm 2.3 as of Release PL0
  60. X# 
  61. X#
  62. X# Variables
  63. X#    Variables established by Configure
  64. XCHMOD        =    $chmod
  65. XCP        =    $cp
  66. XDEST        =    $bin
  67. XECHO        =    $echo
  68. XFORMATTER    =    $roff
  69. XLIB        =    $lib
  70. XLN        =    $ln
  71. XMAN        =    $mansrc
  72. XMANEXT        =    $manext
  73. XRM        =     $rm -f
  74. XTBL           =    $tbl
  75. X!GROK!THIS!
  76. X
  77. Xcat >>Makefile <<'!NO!SUBS!'
  78. X
  79. X#    Other variables
  80. XSHELL        =    /bin/sh
  81. X
  82. X# List of installed man pages (except for wnemail.1 - handled differently)
  83. XMAN_LIST        =    $(MAN)/answer.$(MANEXT)        \
  84. X                $(MAN)/autoreply.$(MANEXT)    \
  85. X                $(MAN)/checkalias.$(MANEXT)    \
  86. X                $(MAN)/elm.$(MANEXT)        \
  87. X                $(MAN)/fastmail.$(MANEXT)    \
  88. X                $(MAN)/filter.$(MANEXT)        \
  89. X                $(MAN)/frm.$(MANEXT)        \
  90. X                $(MAN)/listalias.$(MANEXT)    \
  91. X                $(MAN)/messages.$(MANEXT)    \
  92. X                $(MAN)/newalias.$(MANEXT)    \
  93. X                $(MAN)/newmail.$(MANEXT)    \
  94. X                $(MAN)/printmail.$(MANEXT)    \
  95. X                $(MAN)/readmsg.$(MANEXT)
  96. X
  97. X# List of remotely installed man pages (except for wnemail.1 - handled
  98. X# differently)
  99. XREMOTE_MAN_LIST        =    $(REMOTE)$(MAN)/answer.$(MANEXT)    \
  100. X                $(REMOTE)$(MAN)/autoreply.$(MANEXT)    \
  101. X                $(REMOTE)$(MAN)/checkalias.$(MANEXT)    \
  102. X                $(REMOTE)$(MAN)/elm.$(MANEXT)        \
  103. X                $(REMOTE)$(MAN)/fastmail.$(MANEXT)    \
  104. X                $(REMOTE)$(MAN)/filter.$(MANEXT)    \
  105. X                $(REMOTE)$(MAN)/frm.$(MANEXT)        \
  106. X                $(REMOTE)$(MAN)/listalias.$(MANEXT)    \
  107. X                $(REMOTE)$(MAN)/messages.$(MANEXT)    \
  108. X                $(REMOTE)$(MAN)/newalias.$(MANEXT)    \
  109. X                $(REMOTE)$(MAN)/newmail.$(MANEXT)    \
  110. X                $(REMOTE)$(MAN)/printmail.$(MANEXT)    \
  111. X                $(REMOTE)$(MAN)/readmsg.$(MANEXT)
  112. X
  113. X# List of files installed in LIB directory
  114. XLIB_LIST        =    $(LIB)/elm-help.0    \
  115. X                $(LIB)/elm-help.1    \
  116. X                $(LIB)/elm-help.2    \
  117. X                $(LIB)/elm-help.3    \
  118. X                $(LIB)/elmrc-info
  119. X
  120. X# List of files installed in remote LIB directory
  121. XREMOTE_LIB_LIST        =    $(REMOTE)$(LIB)/elm-help.0    \
  122. X                $(REMOTE)$(LIB)/elm-help.1    \
  123. X                $(REMOTE)$(LIB)/elm-help.2    \
  124. X                $(REMOTE)$(LIB)/elm-help.3    \
  125. X                $(REMOTE)$(LIB)/elmrc-info
  126. X
  127. X# List of formatted guides
  128. XFORMATTED_LIST        =    Alias.fmtd    \
  129. X                Config.fmtd     \
  130. X                Cover.fmtd    \
  131. X                Filter.fmtd    \
  132. X                Form.fmtd    \
  133. X                Ref.fmtd    \
  134. X                Users.fmtd
  135. X
  136. X# Targets
  137. X#    The following are no-ops
  138. Xall:
  139. Xlint:
  140. Xclean:    
  141. X
  142. Xinstall:    $(LIB_LIST) $(MAN_LIST) $(MAN)/wnewmail.$(MANEXT)
  143. X
  144. X#    Dependencies and rules for installing man pages and lib files
  145. X#    taken from a remote system
  146. X#    This is the only target that gets installed even if not out-of-date
  147. X#    with respect the files from which it is installed.
  148. Xrmt-install:    rmt-defined
  149. X        $(RM) $(MAN)/newmail.$(MANEXT) $(MAN)/wnewmail.$(MANEXT)
  150. X        $(CP) $(REMOTE_MAN_LIST) $(MAN)
  151. X        $(CHMOD) u+w,a+r $(MAN_LIST)
  152. X        $(LN) $(MAN)/newmail.$(MANEXT) $(MAN)/wnewmail.$(MANEXT)
  153. X        $(CP) $(REMOTE_LIB_LIST) $(LIB)
  154. X        $(CHMOD) u+w,a+r $(LIB_LIST)
  155. X
  156. Xrmt-defined:
  157. X    @(if [ "$(REMOTE)" = "" ];\
  158. X      then\
  159. X        $(ECHO) "You need to define 'REMOTE' as the remote file system";\
  160. X        $(ECHO) "for this particular command. The easiest way to do this";\
  161. X        $(ECHO) "to type:";\
  162. X        $(ECHO) "        make REMOTE=<remote file system> rmt-install";\
  163. X        exit 1;\
  164. X      fi);
  165. X
  166. X#    Dependencies and rules for installing man pages and lib files
  167. X$(MAN)/answer.$(MANEXT):    answer.1
  168. X                $(CP) $? $@
  169. X                $(CHMOD) u+w,a+r $@
  170. X
  171. X$(MAN)/autoreply.$(MANEXT):    autoreply.1
  172. X                $(CP) $? $@
  173. X                $(CHMOD) u+w,a+r $@
  174. X
  175. X$(MAN)/checkalias.$(MANEXT):    chkalias.1
  176. X                $(CP) $? $@
  177. X                $(CHMOD) u+w,a+r $@
  178. X
  179. X$(MAN)/elm.$(MANEXT):        elm.1
  180. X                $(CP) $? $@
  181. X                $(CHMOD) u+w,a+r $@
  182. X
  183. X$(MAN)/fastmail.$(MANEXT):    fastmail.1
  184. X                $(CP) $? $@
  185. X                $(CHMOD) u+w,a+r $@
  186. X
  187. X$(MAN)/filter.$(MANEXT):    filter.1
  188. X                $(CP) $? $@
  189. X                $(CHMOD) u+w,a+r $@
  190. X
  191. X$(MAN)/frm.$(MANEXT):        frm.1
  192. X                $(CP) $? $@
  193. X                $(CHMOD) u+w,a+r $@
  194. X
  195. X$(MAN)/listalias.$(MANEXT):    listalias.1
  196. X                $(CP) $? $@
  197. X                $(CHMOD) u+w,a+r $@
  198. X
  199. X$(MAN)/messages.$(MANEXT):    messages.1
  200. X                $(CP) $? $@
  201. X                $(CHMOD) u+w,a+r $@
  202. X
  203. X$(MAN)/newalias.$(MANEXT):    newalias.1
  204. X                $(CP) $? $@
  205. X                $(CHMOD) u+w,a+r $@
  206. X
  207. X$(MAN)/newmail.$(MANEXT):    newmail.1
  208. X                $(RM) $@
  209. X                $(CP) $? $@
  210. X                $(CHMOD) u+w,a+r $@
  211. X
  212. X$(MAN)/printmail.$(MANEXT):    printmail.1
  213. X                $(CP) $? $@
  214. X                $(CHMOD) u+w,a+r $@
  215. X
  216. X$(MAN)/readmsg.$(MANEXT):    readmsg.1
  217. X                $(CP) $? $@
  218. X                $(CHMOD) u+w,a+r $@
  219. X
  220. X$(MAN)/wnewmail.$(MANEXT):    $(MAN)/newmail.$(MANEXT)
  221. X                $(RM) $@
  222. X                $(LN) $? $@
  223. X
  224. X$(LIB)/elm-help.0:        elm-help.0
  225. X                $(CP) $? $@
  226. X                $(CHMOD) u+w,a+r $@
  227. X
  228. X$(LIB)/elm-help.1:        elm-help.1
  229. X                $(CP) $? $@
  230. X                $(CHMOD) u+w,a+r $@
  231. X
  232. X$(LIB)/elm-help.2:        elm-help.2
  233. X                $(CP) $? $@
  234. X                $(CHMOD) u+w,a+r $@
  235. X
  236. X$(LIB)/elm-help.3:        elm-help.3
  237. X                $(CP) $? $@
  238. X                $(CHMOD) u+w,a+r $@
  239. X
  240. X$(LIB)/elmrc-info:        elmrc-info
  241. X                $(CP) $? $@
  242. X                $(CHMOD) u+w,a+r $@
  243. X
  244. X#    Dependencies and rules for formatting guides
  245. Xdocumentation:    $(FORMATTED_LIST)
  246. X
  247. XAlias.fmtd:    Alias.guide
  248. X        $(TBL) $? | $(FORMATTER) tmac.n - > $@
  249. X
  250. XConfig.fmtd:    Config.guid
  251. X        $(TBL) $? | $(FORMATTER) tmac.n - > $@
  252. X
  253. XCover.fmtd:    Elm.cover
  254. X        $(FORMATTER) tmac.n $? > $@
  255. X
  256. XFilter.fmtd:    Filter.guid
  257. X        $(TBL) $? | $(FORMATTER) tmac.n - > $@
  258. X
  259. XForm.fmtd:    Form.guide
  260. X        $(FORMATTER) tmac.n $? > $@
  261. X
  262. XRef.fmtd:    Ref.guide
  263. X        $(FORMATTER) tmac.n $? > $@
  264. X
  265. XUsers.fmtd:    Users.guide
  266. X        $(TBL) $? | $(FORMATTER) tmac.n - > $@
  267. X!NO!SUBS!
  268. SHAR_EOF
  269. chmod 0444 doc/Makefile.SH || echo "restore of doc/Makefile.SH fails"
  270. echo "x - extracting doc/Ref.guide (Text)"
  271. sed 's/^X//' << 'SHAR_EOF' > doc/Ref.guide &&
  272. X.\" @(#)$Id: Ref.guide,v 4.1 90/04/28 22:41:08 syd Exp $
  273. X.\"
  274. X.\"  Reference guide to the Elm mail system.
  275. X.\"  format with 
  276. X.\"      troff tmac.n Ref.guide > Ref.format
  277. X.\"
  278. X.\"  Elm is now in the public trust. Bug reports, comments, suggestions, flames
  279. X.\"  etc. should go to:
  280. X.\"    Syd Weinstein        elm@DSI.COM (dsinc!elm)
  281. X.\"
  282. X.\"  (C) Copyright 1986, 1987 Dave Taylor
  283. X.\"  (C) Copyright 1988, 1989, 1990 Usenet Community Trust
  284. X.\"
  285. X.\"  $Log:    Ref.guide,v $
  286. X.\" Revision 4.1  90/04/28  22:41:08  syd
  287. X.\" checkin of Elm 2.3 as of Release PL0
  288. X.\" 
  289. X.\"
  290. X.po 1i
  291. X.ds h0
  292. X.ds h1
  293. X.ds h2
  294. X.ds f0
  295. X.ds f1
  296. X.ds f2
  297. X.nr Hy 1
  298. X.nr Pt 1
  299. X.nr Pi 0
  300. X.lg 0
  301. X.nf
  302. X.na
  303. X.rs
  304. X.za
  305. X.sv |3.0i
  306. X.ce 99
  307. X.ps 20
  308. X.ss 18
  309. X.vs 12
  310. X\f3The Elm Reference Guide\f1
  311. X.sp 3
  312. X.ps 12
  313. X.ss 14
  314. X.vs 14
  315. X\f2A comprehensive list of all commands, 
  316. Xoptions and such to the \f3Elm\fP mail system\f1
  317. X.sp 2
  318. XDave Taylor
  319. X.sp
  320. XHewlett-Packard Laboratories
  321. X1501 Page Mill Road
  322. XPalo Alto CA
  323. X94304
  324. X.sp 3
  325. Xemail: taylor@hplabs.HP.COM or hplabs!taylor
  326. X.sp 3
  327. X>>> Elm is now in the public trust. Bug reports, comments, etc. to: <<<
  328. X.sp
  329. XSyd Weinstein
  330. XDatacomp Systems, Inc.
  331. X3837 Byron Road
  332. XHuntingdon Valley, PA 19006-2320
  333. X.sp
  334. Xemail: elm\s-1@\s+1DSI.COM  or  dsinc\s-1!\s+1elm
  335. X.sp 3
  336. X.ps 18
  337. X\f3\(co\f1\s12 Copyright 1986, 1987 by Dave Taylor
  338. X.ps 18
  339. X\f3\(co\f1\s12 Copyright 1988, 1989, 1990 by The USENET Community Trust
  340. X.ce 0
  341. X.ps 10
  342. X.ss 12
  343. X.vs 12
  344. X.fi
  345. X.ad
  346. X.bp 1
  347. X.sv 5v
  348. X.ce 99
  349. X.ps 14
  350. X\f3The Elm Reference Guide\f1
  351. X.ds h0 "Elm Reference Guide
  352. X.ds h1
  353. X.ds h2 "Version 2.3
  354. X.ds f0 "May 1, 1990
  355. X.ds f1 "Page %
  356. X.sp
  357. X.ps 10
  358. X(Version 2.3)
  359. X.sp 2
  360. XDave Taylor
  361. XHewlett-Packard Laboratories
  362. X1501 Page Mill Road
  363. XPalo Alto CA
  364. X94304
  365. X.sp
  366. Xemail: taylor@hplabs.HP.COM or hplabs!taylor
  367. X.sp 2
  368. X>>> Elm is now in the public trust. Bug reports, comments, etc. to: <<<
  369. X.sp
  370. XSyd Weinstein
  371. XDatacomp Systems, Inc.
  372. X3837 Byron Road
  373. XHuntingdon Valley, PA 19006-2320
  374. X.sp
  375. Xemail: elm\s-1@\s+1DSI.COM  or  dsinc\s-1!\s+1elm
  376. X.sp 2
  377. XMay 1, 1990
  378. X.ce 0
  379. X.sp 3 
  380. X.hn 1 Introduction
  381. X
  382. XThere are many parts to a complex software system and \f3The Elm
  383. XMail System\f1
  384. Xis no different.  This document describes fully all the options 
  385. Xavailable in the mailer, including the command line options,
  386. Xthe commands (in considerably more detail than
  387. Xin \f2The Elm Users Guide\f1) and 
  388. Xthe \f2.elm/elmrc\f1 file.
  389. X
  390. XTo be more explicit, this document covers:
  391. Xa discussion of 
  392. Xthe \f2.elm/elmrc\f1 file,
  393. Xcommand line options of \f2elm\f1, 
  394. Xoutgoing mail processing,
  395. Xresponses of various commands,
  396. Xmail archive folders,
  397. Xthe Alias system,
  398. Xsystem aliases etc,
  399. Xmore on the \f3Elm\f1 utilities,
  400. Xand a section for expert mail users.
  401. X
  402. XWithout any further ado, then, let's get this show on the road!!
  403. X.sp
  404. X.hn 1 "The .elm/elmrc File"
  405. X
  406. XElm, like lots of other software on the
  407. XUnix\v'-.3'\s5TM\s10\v'.3' system, has the ability to automatically read 
  408. Xin a configuration file at each invocation.  The file must be
  409. Xcalled \f2elmrc\f1 and reside in the \f2.elm\f1 directory located
  410. Xin your home directory.  It can have any of the entries below, in any order.
  411. XIf you are missing any entries, or if you don't have an \f2.elm/elmrc\f1
  412. Xfile, the default values (listed below for each option) will be used.
  413. XNote that those options below designated with * can be altered
  414. Xusing elm via the o)ptions screen.
  415. XAlso note that when you save a new \f2.elm/elmrc\f1 file via the `>' command
  416. Xof the options
  417. Xscreen, it will be (re)created including even those options that
  418. Xhave default values.
  419. X.br
  420. X.sp 
  421. X.ne 8
  422. X.hu String Variables
  423. X
  424. X.lp alternatives 1.0i
  425. XThis is a list of other machine/username combinations
  426. Xthat you receive mail from (forwarded).  This is used 
  427. Xwhen the \f2group reply\f1 feature is invoked to ensure that
  428. Xyou don't send yourself a copy of the outbound message.
  429. X(The default is a list of no alternatives.)
  430. X
  431. X.lp calendar* 1.0i
  432. XThis is used in conjunction with the `<' \f2scan message for
  433. Xcalendar entries\f1 command, as the file to append any found
  434. Xcalendar entries to.  (The default is \f2calendar\f1 in your home directory.)
  435. X
  436. X.lp editor* 1.0i
  437. XThe editor to use when typing in new mail.  If you select
  438. X``none'' or ``builtin'' you'll get a Berkeley Mail style
  439. Xinterface for all mail that doesn't already have text
  440. Xin the buffer (e.g. a reply, mail with a ``signature'', etc).
  441. X(The default is to use the value of $EDITOR in your
  442. Xcurrent environment, and if not set, an editor selected by
  443. Xthe person who configured \f2elm\f1 for your system.)
  444. X
  445. X.lp escape 1.0i
  446. XThe character used with the ``builtin'' editor (see above)
  447. Xto escape from text entry to input a command.
  448. XWhen a line begins with this character, the editor interprets it
  449. Xas a command rather than as text to add.
  450. X(The default is ``~''.)
  451. X
  452. X.lp fullname* 1.0i
  453. XThis is the name the mailer will use in messages
  454. Xyou send.  It is highly recommended that you use your
  455. Xfull name and nothing strange or unusual, as that can
  456. Xappear extremely rude to people receiving your mail.
  457. X(The default is to use the ``gcos'' field from the \f2/etc/passwd\f1 file
  458. Xon systems that use this field to store full names, and to use the contents
  459. Xof \f2.fullname\f1 in your home directory on other systems.)
  460. X
  461. X.lp maildir* 1.0i
  462. XThis is your folder directory.
  463. XWhen you specify a folder name beginning with the `=' metacharacter\s-2\u1\d\s0,
  464. X.fn
  465. X1. Note that `%' and `+' are synonymous with `=' throughout \f2elm\f1
  466. X.ef
  467. Xit stands for this directory name.  That is,
  468. Xif you save a message to folder \f2=stuff\f1
  469. Xthe `=' will be expanded to the current value of \f2maildir\f1.
  470. X(The default is the directory \f2Mail\fP in your home directory.)
  471. X
  472. X.lp tmpdir* 1.0i
  473. XUse this if you want to define your own directory for the temporary
  474. Xfile Elm creates while running.  This is only necessary if using the
  475. Xsystem temporary directory could cause problems, such as when not all
  476. XNFS clients mount the common temporary directory, or when the temporary
  477. Xdirectory is prone to being cleared periodically.  The default entry
  478. Xof the system temporary directory is normally ok.
  479. X
  480. X.lp pager 1.0i
  481. XThis is the program to be used to display messages.  You can
  482. Xspecify ``builtin'' or the name of any standard pager.  If you
  483. Xuse ``builtin+'', each screenfull of displayed message is
  484. X``paged'' from the top of your screen with a title line,
  485. Xwhile ``builtin'' simply ``scrolls up'' subsequent screenfulls once
  486. Xit has ``paged'' the first screenfull.
  487. X(The default is to use the value of $PAGER in your
  488. Xcurrent environment, and if not set, a pager selected by
  489. Xthe person who configured \f2elm\f1 for your system, quite likely ``builtin+''.)
  490. X
  491. X.lp attribution 1.0i
  492. XWhen you \f2forward\f1 a message or \f2reply\f1 to it, you can
  493. Xoptionally attribute the quoted text to its original author.
  494. XDefining the attribution string here allows you to indicate the
  495. Xform that the attribution should take.  The sequence `%s' in the
  496. Xattribution will be replaced by the name of the original author.
  497. XExamples are:
  498. X.nf
  499. X.ft CW
  500. X.zf
  501. X    attribution = According to %s:
  502. X    attribution = %s writes:
  503. X.ft 1
  504. X.fi
  505. X
  506. X.lp prefix 1.0i
  507. XWhen you \f2reply\f1 to a message or \f2forward\f1 a message to another person,
  508. Xyou can optionally include the original message.  Defining the
  509. Xprefix value here allows you to indicate what the prefix of 
  510. Xeach included line should be.  (The default is ``>\ '' and is
  511. Xstandard in the Unix community.)
  512. X
  513. X.lp print* 1.0i
  514. XThis is the command used for printing messages.  There are two
  515. Xpossible formats for it, either a command that
  516. Xcan have a filename affixed to (as a suffix) before being
  517. Xexecuted, or a string that 
  518. Xcontains the meta-sequence `%s' which will be replaced
  519. Xby the name of the file before being executed.  Examples of each are:
  520. X.nf
  521. X.ft CW
  522. X.zf
  523. X    print = print -formfeed
  524. X    print = pr %s | lpr
  525. X.br
  526. X.ft 1
  527. X.fi
  528. X(The default is set by the person who configured \f2elm\f1 for your system.)
  529. X
  530. X.lp receivedmail 1.0i
  531. XThis is the folder to which incoming mail is saved after you've read it.
  532. XWhen you answer \f2no\f1 (`n') to the ``keep unread messages in 
  533. Xyour incoming mailbox?'' prompt or \f2yes\f1 (`y') to the ``store read
  534. Xmessages in your "received" folder?'', this is where the messages go.
  535. X(The default is "=received", that is,
  536. Xa folder called \f2received\f1 in your \f2maildir\f1 directory).
  537. X
  538. X.lp sentmail* 1.0i
  539. XThis is the folder to which a copy of outgoing mail is automatically
  540. Xsaved.  This will only be done if the \f2copy\f1 flag
  541. Xis turned on (see below).  Also note that if the \f2savename\f1 feature
  542. X(see below) is enabled then this folder may be ignored since the program
  543. Xmay save to a folder that has the same name as the login
  544. Xof the person you're sending to.
  545. XWhether or not a copy is saved, and to what folder, can be changed just
  546. Xprior to sending a message, see below.
  547. X(The default is "=sent", that is,
  548. Xa folder called \f2sent\f1 in your \f2maildir\f1 directory).
  549. X
  550. X.lp shell 1.0i
  551. XThis defines the shell to use when doing ``!'' escapes and
  552. Xsuch.  (The default is to use the value of $SHELL in your
  553. Xcurrent environment, and if not set, a shell selected by
  554. Xthe person who configured \f2elm\f1 for your system.)
  555. X
  556. X.lp signature 1.0i
  557. XThis file, if defined, will be automatically appended to all
  558. Xoutbound mail before the editor is invoked.  Furthermore, 
  559. Xif you'd like a different ``.signature'' file for \f2local\f1
  560. Xmail and \f2remote\f1 mail (remote being via other hosts), 
  561. Xyou can alternatively define two variables, \f2localsignature\f1
  562. Xand \f2remotesignature\f1, to have the same functionality.
  563. X(The default is "localsignature" and "remotesignature"
  564. Xin your home directory.)
  565. X
  566. X.lp sortby* 1.0i
  567. XYou can have your folder sorted by any of the following ways:
  568. X.sp
  569. X.ta 1i
  570. Xfrom    This will sort according to whom each message is \f2from\f1.
  571. X
  572. Xlines    This will sort \f2shortest\f1 to \f2longest\f1 by message.
  573. X
  574. Xmailbox    This will leave the messages in the order found in the folder.
  575. X
  576. Xreceived    This will sort \f2least recently received\f1 to 
  577. X\f2most recently received\f1.
  578. X
  579. Xsent    This will sort \f2least recently sent\f1 to \f2most recently sent\f1.
  580. X
  581. Xstatus    This will sort by priority, action, new, tagged, then deleted.
  582. X
  583. Xsubject    This will sort according to the \f2subject\f1 of each message.
  584. X.sp
  585. XEach of these fields can also optionally be prepended with the
  586. Xsequence ``reverse-'' to reverse the order of the sort.  This doesn't
  587. Ximply anything about the order of the message in the folder
  588. Xitself and affects only their order on the index screen.  (The
  589. Xdefault is \f2mailbox\f1 order.)
  590. X
  591. X.lp weedout 1.0i
  592. XWhen specifying this option, you can list headers that
  593. Xyou \f2don't\f1 want to see when you are displaying a message.
  594. XThis list can continue for as many lines as desired, as 
  595. Xlong as the continued lines all have leading indentation.
  596. X(The default is ``Received:'' and others.)
  597. X.br
  598. X.ne 8
  599. X.hu Numeric Variables
  600. X
  601. X.lp bounceback 1.0i
  602. XThis is a hop count threshold value and allows you to
  603. Xset up the mailer so that when you send mail more than
  604. X\f2n\f1 machines away, it'll automatically include a
  605. X``Cc:'' to you through the remote machine.  In practice
  606. Xthis should be very rarely used.  (Note: this refuses to
  607. Xbounce mail off an Internet address.  The default is to
  608. Xhave it set to zero, which disables the function)
  609. X
  610. X.lp timeout 1.0i
  611. XOn more advanced systems, it's nice to start up the 
  612. Xmailer in a window and let it sit in background 
  613. Xunless new mail arrives (see \f2wnewmail\f1 for
  614. Xanother window based program) at which point
  615. Xit can be brought up to the forefront of the system 
  616. Xand read.  In this case, it would be quite convenient
  617. Xto have the mailer internally resynchronize every
  618. Xso often.  This option specifies the number of seconds that this occurs.
  619. X.sp
  620. XThis is also useful for normal terminals, for example you can
  621. Xleave \f2elm\f1 running at night (I usually do) and when you
  622. Xcome in in the morning it'll be all ready to read your mail!
  623. X.sp
  624. X(The default is a 300 second (5 minute) timeout period).
  625. X
  626. X.lp userlevel* 1.0i
  627. XThis is what the program uses to determine the relative level of
  628. Xsophistication of the user \(em the values are 0 for a new user (the
  629. Xdefault), 1 for someone familiar with \f2elm\f1 
  630. Xuser, and 2 for experts.  Some advanced features are hidden from novice
  631. Xusers, while experts get less verbose prompt messages.
  632. X.br
  633. X.ne 8
  634. X.hu Boolean Variables
  635. X
  636. X.lp alwaysdelete 1.0i
  637. XWhen set, this changes the default answer
  638. Xof the prompt ``Delete messages?'' to the indicated value.  (The default is
  639. Xto have the answer be \f2No\f1 (i.e. alwaysdelete = OFF).)
  640. X
  641. X.lp alwaysstore 1.0i
  642. XThis sets the default
  643. Xanswer on the ``store read mail in "received" folder'' prompt
  644. Xto the value indicated.  (The default is to have the default
  645. Xanswer be \f2No\f1 (i.e., alwaysstore = OFF).)
  646. X
  647. X.lp alwayskeep 1.0i
  648. XThis sets the default answer
  649. Xon the ``keep unread mail in incoming mailbox''
  650. XHowever, if you answered \f2No\fP to the ``store read
  651. Xmail in "received" folder''
  652. Xit is presumed that you'd also want to keep your unread mail in the
  653. Xincoming mailbox, too, and the value of alwayskeep is ignored.
  654. X(The default is to have the
  655. Xdefault answer be \f2Yes\f1 (i.e., alwayskeep = ON).)
  656. X
  657. X.lp arrow* 1.0i
  658. XSometimes you are forced to use a slow, or ``dumb'' terminal.  In this
  659. Xcase, you can force the current message pointer to be the ``->''
  660. Xsequence rather than the inverse bar.  (Note that this is
  661. Xoverridden by the similar `-a' command line option,
  662. Xsee below.)  (The default is OFF.)
  663. X
  664. X.lp ask 1.0i
  665. XThis allows you to tell the \f2elm\f1 system that 
  666. Xyou'd rather not be asked ``Delete Mail?'' and such each time you 
  667. Xquit, resynchronize a folder or change folders,
  668. Xand instead it should just use the values of
  669. X``alwaysdelete'', ``alwaysstore'', and ``awayskeep'' without prompting.
  670. X(Note that when you quit \f2elm\fP, if you use `Q' instead of `q', you will
  671. Xnever be questioned, regardless of how you have \f2ask\f1 set.)
  672. X(The default is ON, i.e. to ask the questions.)
  673. X
  674. X.lp askcc 1.0i
  675. XIf turned off, this will allow you to send mail without being
  676. Xpresented the ``Copies to:'' prompt for each message. This
  677. Xstill allows you to explicitly include addresses in the ``cc''
  678. Xlist via either ``~c'' in the builtin editor, or via using the
  679. Xheader editor.  (The default is ON, i.e. to ask about copies.)
  680. X
  681. X.lp autocopy 1.0i
  682. XIf turned on, this will automatically copy
  683. Xthe text of each message being replied to into the edit
  684. Xbuffer.  Otherwise you will be prompted as to whether you want
  685. Xthe message included in yours. (See the \f2prefix\f1 
  686. Xoption above.)  (The default is OFF.)
  687. X
  688. X.lp copy 1.0i
  689. XThis, in combination with the \f2sentmail\f1 folder, will
  690. Xallow you to have silent copies of all outgoing mail
  691. Xmade on the outbound step.  
  692. XWhether a copy is saved and to which folder can be set prior to sending
  693. Xa message, see below.
  694. X(The default is OFF.)
  695. X
  696. X.lp forcename 1.0i
  697. XThis, in combination with the \f2savename\f1 option, governs
  698. Xhow a copy of an outgoing message will be saved.  (See \f2savename\f1 below
  699. Xfor details.)  (The default is OFF.)
  700. X
  701. X.lp keep 1.0i
  702. XThe mail system has a habit of deleting folders when you've
  703. Xremoved everything from them.  With this option turned on, it will
  704. Xinstead preserve them as zero-byte files.
  705. XThis option does not apply to your incoming mailbox.
  706. X(The default is OFF.)
  707. X
  708. X.lp keypad 1.0i
  709. XIf on, this tells \f2elm\f1 that you have an HP terminal and enables
  710. Xthe <NEXT>, <PREV>, <HOME> and <SHIFT-HOME> keys.  (The default is OFF.)
  711. X
  712. X.lp menus* 1.0i
  713. XIf turned off, this will inhibit the Menu display on all of the 
  714. Xscreen displays within the \f2elm\f1 program.  (Note that this is
  715. Xoverridden by the similar `-m' command line option,
  716. Xsee below.)  (The default is ON.)
  717. X
  718. X.lp names* 1.0i
  719. XIf turned off, the primary recipients' address is displayed on your
  720. Xscreen with their full names when you send a message.  Otherwise,
  721. Xonly the full names are given.  (The default is ON.)
  722. X
  723. X.lp movepage 1.0i
  724. XIf this is enabled then commands that move through the
  725. Xfolder by pages (the `+', `-', <right-arrow>, and <left-arrow> keys)
  726. Xwill also move the current message pointer to the
  727. Xtop of that page of messages.  If this is turned off 
  728. Xthen moving through the pages doesn't alter the
  729. Xcurrent message pointer location.
  730. X(The default is OFF.)
  731. X
  732. X.lp noheader 1.0i
  733. XThis boolean flag tells the mailer not to include the 
  734. Xheaders of messages when copying a message into a file
  735. Xbuffer for replying to or forwarding.
  736. X(The default is ON.)
  737. X
  738. X.lp promptafter 1.0i
  739. XIf this flag is ON and you use an external pager,
  740. Xwhen the pager exits, you will be prompted for a command rather
  741. Xthan returned directly to the index screen.
  742. XIf the external pager you are using exits when it reaches end of file
  743. X(i.e. end of the message), you should have this flag ON,
  744. Xotherwise the last screen of the displayed message will not be held
  745. Xbut instead be immediately replaced by the index screen.
  746. XIf the external pager you are using does not exit until you command it to exit,
  747. Xyou have a choice.
  748. XIf you usually want to see the index screen before issuing a command,
  749. Xhaving the flag OFF will cut down out the extra keystroke needed to return
  750. Xto the index screen.
  751. XIf you usually don't need to see the index screen to before issuing the
  752. Xnext command,
  753. Xhaving the flag ON will allow you to proceed with your next command without
  754. Xhaving to wait for the redrawing of the index screen.
  755. X(The default is ON.)
  756. X
  757. X.lp pointnew 1.0i
  758. XIf this is turned on, the mailer will be automatically 
  759. Xpointing to the first new message in your folder when started, instead
  760. Xof at message #1.  This will only be effective for the incoming mailbox since
  761. Xother folders are not expected to have `new' mail.  (The default is ON.)
  762. X
  763. X.lp resolve 1.0i
  764. XThis is a boolean flag that defines the behaviour of the
  765. Xprogram for such actions as deletion, saving a message 
  766. Xand so on.   Specifically, with this option enabled, as
  767. Xsoon as mail is `dealt with' the program moves you to the
  768. Xnext message in the folder, with deletion, undeletion,
  769. Xsaving a message and forwarding a message all being treated as
  770. Xdealing with email in this manner.
  771. X(The default is ON.)
  772. X
  773. X.lp savename 1.0i
  774. XOne of the problems with electronic mail systems is that one
  775. Xtends to get very large, one-dimensional (flat) files that
  776. Xcontain lots of completely unrelated mail.  If this option
  777. Xis turned on, \f2elm\f1 will use a more intelligent 
  778. Xalgorithm \(em on incoming mail, when you \f2save\f1 or \f2copy\f1 it,
  779. Xthe default mailbox to save to (changeable by pressing anything other than
  780. X<return> of course) is a folder that is the \f2login name\f1 of the
  781. Xperson who sent you the message.  Similarly, when sending mail out,
  782. Xinstead of just blindly saving it to the \f2sentmail\f1 folder, \f2elm\f1
  783. Xwill save it to a folder that is the login name of the 
  784. Xperson who is to receive the mail\s-2\u2\d\s0.
  785. X.fn
  786. X2. When sending to a group, it's saved to the first person in the 
  787. Xlist only.
  788. X.ef
  789. X
  790. XIf \f2forcename\f1 is off (see above), the copy will be saved to
  791. Xthat folder only if the folder already exists.  In practice,
  792. Xthis means that important people that you communicate
  793. Xwith (those that you tend to save mail from) have folders that are
  794. Xactually \f2a recorded log of the discussion in both directions\f1
  795. Xand those others (random mailings) are all stuffed in the \f2sentmail\f1
  796. Xfolder for easy perusal and removal.
  797. X
  798. XOtherwise, if you always want to save copies of outgoing messages
  799. Xin separate folders by recipient login name,
  800. Xyou'll want to set \f2forcename\f1 to on.  (The
  801. Xdefault for \f2savename\f1 is ON.)
  802. X
  803. X.lp sigdashes 1.0i
  804. XIf on, this tells \f2elm\f1 that you wish to follow the convention of prefixing
  805. Xyour signature with newline dash dash blank newline.  This will be placed in
  806. Xyour message before your signature file.  If off, the signature file is placed at
  807. Xthe end of the message without any prefix.
  808. X
  809. X.lp softkeys 1.0i
  810. XIf on, this tells \f2elm\f1 that you have an HP terminal with the
  811. XHP 2622 function key protocol and that you'd like to have them available
  812. Xwhile in the program.  (The default is OFF.)
  813. X
  814. X.lp titles 1.0i
  815. XThis flag allows you to have the first line of a message
  816. Xtitled with:
  817. X.sp
  818. X.ft CW
  819. X.zf
  820. X.ps 9
  821. X.nf
  822. X.tl '           Message \f2N/M\fP from \f2username\fP''\f2date\fP at \f2time\f1      '
  823. X.fi
  824. X.ps 10
  825. X.ft 1
  826. X.sp
  827. Xwhere all the information has been previously extracted
  828. Xfrom the message.
  829. XThis is especially useful if you weed out all the headers of each
  830. Xmessage with a large `weedout' list...
  831. X(The default is ON.)
  832. X
  833. X.lp warnings 1.0i
  834. XThe mailer likes to warn you when you send mail to a machine that cannot
  835. Xbe directly accessed.  In some situations, however, the system is set up so
  836. Xthat mail is automatically forwarded to another machine that might then
  837. Xhave better connections.  Setting this flag to OFF will allow you to effectively
  838. Xshut off all the warning messages.  Use of this flag requires support of the
  839. Xuuname command on your system.  Without this command, the flag will be cleared
  840. Xto OFF automatically. (The default is ON.)
  841. X
  842. X.lp weed 1.0i
  843. XThis is a boolean flag that, in combination with the
  844. X``weedout'' list, allows you to custom define the set of
  845. Xheaders you would like to not have displayed while reading
  846. Xmessages.  
  847. X(The default is ON.)
  848. X.in 0
  849. X.sp
  850. XOne more thing: the format for each of the lines is:
  851. X.nf
  852. X.ft CW
  853. X.zf
  854. X.ti .5i
  855. Xvariable = value\f1
  856. X.fi
  857. Xand for boolean variables, \f2value\f1 can be `ON' or `OFF' only.
  858. X.sp
  859. XFor a better idea of how this all works, here's 
  860. Xmy \f2.elm/elmrc\f1 file.
  861. XWhile looking through it, notice that you can have lots of comments
  862. Xand blank lines for readability and that you can also use `shell
  863. Xvariables' and the `~' metacharacter for your home directory, 
  864. Xand they are expanded accordingly when read in by the mailer.
  865. X(Note that this was automatically saved by the \f2elm\f1 program
  866. Xon the fly from the o)ptions screen)
  867. X.ft CW
  868. X.zf
  869. X.nf
  870. X  #
  871. X  # .elm/elmrc - options file for the ELM mail system
  872. X  #
  873. X  # Saved automatically by ELM 2.2 for Dave Taylor
  874. X  #
  875. X
  876. X  # For yes/no settings with ?, ON means yes, OFF means no
  877. X
  878. X  # where to save calendar entries
  879. X  calendar = ~/.Agenda
  880. X
  881. X  # what editor to use ("none" means simulate Berkeley Mail)
  882. X  editor = none
  883. X
  884. X  # the character to use in the builtin editor for entering commands
  885. X  escape = ~
  886. X
  887. X  # the full user name for outbound mail
  888. X  fullname = Dave Taylor
  889. X
  890. X  # where to save received messages to, default file is "=received"
  891. X  receivedmail = $HOME/Mail/received
  892. X
  893. X  # where to save my mail to, default directory is "Mail"
  894. X  maildir = /users/taylor/Mail
  895. X
  896. X  # program to use for displaying messages ('builtin' is recommended)
  897. X  pager = builtin
  898. X
  899. X  # prefix sequence for indenting included message text in outgoing messages...
  900. X  prefix = >_
  901. X
  902. X  # how to print a message ('%s' is the filename)
  903. X  print = lpr -Plw2 %s
  904. X
  905. X  # where to save copies of outgoing mail to, default file is "=sent"
  906. X  sentmail = /users/taylor/Mail/mail.sent
  907. X
  908. X  # the shell to use for shell escapes
  909. X  shell = /bin/csh
  910. X
  911. X  # local ".signature" file to append to appropriate messages...
  912. X  localsignature = localsig
  913. X
  914. X  # remote ".signature" file to append to appropriate messages...
  915. X  remotesignature =  remotesig
  916. X
  917. X  # do we want dashes above signatures? (News 2.11 compatibility and convention)
  918. X  sigdashes = ON
  919. X
  920. X  # how to sort folders, "Mailbox" by default
  921. X  sortby = Reverse-Received
  922. X
  923. X  # should the default be to delete messages we've marked for deletion?
  924. X  alwaysdelete = ON
  925. X
  926. X  # should the default be to store read messages to the "received" folder?
  927. X  alwaysstore = ON
  928. X
  929. X  # should the default be to keep unread messages in the incoming mailbox?
  930. X  alwayskeep = ON
  931. X
  932. X  # should we use the "->" rather than the inverse video bar?
  933. X  arrow = OFF
  934. X
  935. X  # should the message disposition questions be displayed(ON) or
  936. X  # auto-answered(OFF) with the default answers when we resync or change folders?
  937. X  ask = ON
  938. X
  939. X  # would you like to be asked for Carbon-Copies information each msg?
  940. X  askcc = ON
  941. X
  942. X  # automatically copy message being replied to into buffer? 
  943. X  autocopy = OFF
  944. X
  945. X  # threshold for bouncing copies of remote uucp messages...
  946. X  # zero = disable function.
  947. X  bounceback = 0
  948. X
  949. X  # save a copy of all outbound messages?
  950. X  copy = ON
  951. X
  952. X  # do we want to be able to mail out AT&T Mail Forms?
  953. X  forms = OFF
  954. X
  955. X  # should we keep folders from which all messages are deleted?
  956. X  keepempty = OFF
  957. X
  958. X  # we're running on an HP terminal and want HOME, PREV, NEXT, etc...
  959. X  keypad = OFF
  960. X
  961. X  # should we display the three-line 'mini' menu?
  962. X  menu = ON
  963. X
  964. X  # when using the page commands (+ - <NEXT> <PREV>) change the current
  965. X  # message pointer...?
  966. X  movepage = ON
  967. X
  968. X  # just show the names when expanding aliases?
  969. X  names = ON
  970. X
  971. X  # when messages are copied into the outbound buffer, don't include headers?
  972. X  noheader = ON
  973. X
  974. X  # start up by pointing to the first new message received, if possible?
  975. X  pointnew = ON
  976. X
  977. X  # prompt for a command after the external pager exits?
  978. X  promptafter = ON
  979. X
  980. X  # emulate the mailx message increment mode (only increment after something
  981. X  # has been 'done' to a message, either saved or deleted, as opposed to 
  982. X  # simply each time something is touched)?
  983. X  resolve = ON
  984. X
  985. X  # save messages, incoming and outbound, by login name of sender/recipient?
  986. X  savename = ON
  987. X
  988. X  # save outbound messages by login name of sender/recipient even if the
  989. X  # associated folder doesn't already exist?
  990. X  forcename = OFF
  991. X
  992. X  # are we running on an HP terminal and want HOME, PREV, NEXT, etc...?
  993. X  # (this implies "keypad=ON" too)
  994. X  softkeys = OFF
  995. X
  996. X  # set the main prompt timeout for resynching...
  997. X  timeout = 60
  998. X
  999. X  # display message title when displaying pages of message?
  1000. X  titles = ON
  1001. X
  1002. X  # are we good at it?  0=beginner, 1=intermediate, 2+ = expert!
  1003. X  userlevel = 2
  1004. X
  1005. X  # tell us about addresses to machines we can't directly get to?
  1006. X  warnings = OFF
  1007. X
  1008. X  # enable the weedout list to be read?
  1009. X  weed = ON
  1010. X
  1011. X  # what headers I DON'T want to see, ever.
  1012. X  weedout = "Path:" "Via:" "Sent:" "Date" "Status:" "Original" "Phase" 
  1013. X      "Subject:" "Fruit" "Sun" "Lat" "Buzzword" "Return" "Posted" 
  1014. X      "Telephone" "Postal-Address" "Origin" "X-Sent-By-Nmail-V" "Resent" 
  1015. X      "X-Location" "Source" "Mood" "Neuron" "Libido" "To:" "X-Mailer:" 
  1016. X      "Full-Name:" "X-HPMAIL" "Cc:" "cc:" "Mmdf" "Network-" "Really-" 
  1017. X      "Sender:" "Post" "Message-" "Relay-" "Article-" "Lines:" 
  1018. X      "Approved:" "Xref:" "Organization:"     "*end-of-user-headers*"
  1019. X
  1020. X  # alternative addresses that I could receive mail from (usually a
  1021. X  # forwarding mailbox) and don't want to have listed...
  1022. X  alternatives = hplabs!taylor  hpldat!taylor  taylor@hplabs  taylor%hpldat  
  1023. X.fi
  1024. X.br
  1025. X.ne 5
  1026. X.sp
  1027. X.hn 1 The Command Line Options
  1028. X
  1029. XThere are a number of command line options to the \f2elm\f1
  1030. Xprogram, with only one that needs to be remembered: ``-?''or ``-h'' for help.
  1031. X
  1032. XThe flags are:
  1033. X
  1034. X.lp \h'24p'-a 66p
  1035. XArrow.  This allows you to have the ``->'' arrow pointer
  1036. Xrather than the inverse bar.  This can also be set in
  1037. Xthe \f2.elm/elmrc\f1 
  1038. Xfile \(em check the boolean variable \f2arrow\f1).
  1039. X
  1040. X.lp \h'24p'-c 66p
  1041. XCheck only.  This is useful for expanding aliases 
  1042. Xwithout sending any mail.  The invocation is similar to
  1043. Xinvoking \f2elm\f1 in send-only mode:
  1044. X.ft CW
  1045. X.zf
  1046. Xelm -c\f2  list-of-aliases\f1
  1047. X
  1048. X.lp "\h'24p'-d \f2n\f1" 66p
  1049. XSet debug level to \f2n\f1.  Useful for debugging the \f2elm\f1
  1050. Xprogram, this option will create a file in your home
  1051. Xdirectory called \f2ELM:debug.info\f1, then
  1052. Xoutput a running log of what is going on with
  1053. Xthe program.  Level \f2n\f1 can be 1 through 11,
  1054. Xwhere the higher numbers generate more output.
  1055. XThis option might be disabled by the the person who configured
  1056. X\f2elm\f1 for your system.
  1057. X
  1058. X.lp "\h'24p'-f \f2folder\f1" 66p
  1059. XFolder.  Read specified folder rather than the default incoming mailbox.
  1060. XNote that you can use the same metacharacters (e.g. `=') as when 
  1061. Xyou \f2change folders\f1 from within the program.  You can also use the
  1062. Xsame abbreviatory symbols (`!', `>' and `<'),
  1063. Xbut remember to ``single quote'' them
  1064. Xin case they have special meaning in the shell you use.
  1065. X
  1066. X.lp "\h'24p'-h or -?" 66p
  1067. XHelp.  Gives a short list of all these options and exits.
  1068. X
  1069. X.lp \h'24p'-k 66p
  1070. XKeypad \(em This option, when used, lets the \f2elm\f1 program
  1071. Xknow that you're on an HP terminal, and it can then interpret
  1072. Xthe <PREV>, <NEXT> and <HOME>/<SHIFT>-<HOME> keys accordingly.  If you
  1073. Xare not on an HP terminal, it is recommended that you do
  1074. XNOT use this option. (See the \f2keypad\f1 option in
  1075. Xthe \f2.elm/elmrc\f1 section.)
  1076. X
  1077. X.lp \h'24p'-K 66p
  1078. XKeypad + softkeys.  The \f2elm\f1 mailer can
  1079. Xuse the HP softkeys as an alternative form of
  1080. Xinput.  If you specify this option be sure that you're on
  1081. Xan HP terminal that can accept the standard 2622 terminal
  1082. Xescape sequences! (See the \f2softkeys\f1 option in
  1083. Xthe \f2.elm/elmrc\f1 section for more information.)
  1084. X
  1085. X.lp \h'24p'-m 66p
  1086. XInhibit display of the 3-line menu when using the mailer.  This,
  1087. Xof course, gives you three more message headers per page instead.
  1088. X(See also the 
  1089. X.ft CW
  1090. X.zf
  1091. Xmenu\f1 option in
  1092. Xthe \f2.elm/elmrc\f1 section.)
  1093. X
  1094. X.lp "\h'24p'-s \f2subject\f1" 66p
  1095. XIn send-only and batch mode, this is how to indicate the subject of the
  1096. Xresulting message.  Please see the section on ``Non-Interactive
  1097. XUses of Elm'' in \f2The Elm Users Guide\f1 for more information.
  1098. X
  1099. X.lp \h'24p'-z 66p
  1100. XZero.  This causes the mailer not to be started if you don't
  1101. Xhave any mail.   This emulates the behaviour of programs
  1102. Xlike \f2Berkeley Mail\f1.
  1103. X
  1104. X.in 0
  1105. XAll the above flags default to reasonable options, so there is
  1106. Xusually no need to use them.  Furthermore, the most used flags
  1107. Xare available through the \f2.elm/elmrc\f1 file.  See above.
  1108. X.br
  1109. X.ne 5
  1110. X.sp
  1111. X.hn 1 Special Outgoing Mail Processing
  1112. X
  1113. XThere are a few extra features that the mailer offers on
  1114. Xoutgoing mail that are worthy of mention:
  1115. X
  1116. XThe first, and probably the most exciting feature\s-2\u3\d\s0, is the
  1117. X.fn
  1118. X3. Unfortunately, at many non-US sites, it's quite probable that
  1119. Xyou won't be able to use this feature since you won't have
  1120. Xthe \f2crypt()\f1 library available due to licensing restrictions.
  1121. X.ef
  1122. Xability to send \f2encrypted\f1 mail! To do this is 
  1123. Xextremely simple:  You need merely to have two key lines
  1124. X.ft CW
  1125. X.zf
  1126. X[\&encode]\f1 and 
  1127. X.ft CW
  1128. X.zf
  1129. X[\&clear]\f1 in the message body.
  1130. X
  1131. XConsider the following outgoing message:
  1132. X.nf
  1133. X.ps 9
  1134. X.in .5i
  1135. X.ft CW
  1136. X.zf
  1137. XJoe,
  1138. XRemember that talk we had about Amy?  Well, I talked to my manager 
  1139. Xabout it and he said...
  1140. Xuhh...better encrypt this...the usual `key'...
  1141. X[\&encode]
  1142. XHe said that Amy was having family problems and that it had been 
  1143. Xaffecting her work.
  1144. XGiven this, I went and talked to her, and told her I was sorry for 
  1145. Xgetting angry.  She said that she understood.
  1146. XWe're friends again!!
  1147. X[\&clear]
  1148. XExciting stuff, eh?   
  1149. X\h'3i'Mike
  1150. X.ps 10
  1151. X.ft 1
  1152. X.in 0
  1153. X.fi
  1154. XWhile this is obviously quite readable while being typed into 
  1155. Xthe editor, as soon as the message is confirmed as wanting
  1156. Xto be sent, the \f2elm\f1 mailer prompts with:
  1157. X.nf
  1158. X.ft CW
  1159. X.zf
  1160. X.ps 9
  1161. X.ti .5i
  1162. XEnter encryption key: @
  1163. X.ps 10
  1164. X.ft 1
  1165. X.fi
  1166. Xand accepts a key (a series of 8 or less characters) without
  1167. Xechoing them to the screen.  After entry, it will ask for the
  1168. Xsame key again to confirm it, then *poof* it will encrypt and
  1169. Xsend the mail.
  1170. X
  1171. XIf you have the \f2copy\f1 option enabled, the program will save
  1172. Xyour copy of the message encrypted too.  (This is to ensure
  1173. Xthe privacy and security of your mail archive, too.)
  1174. X
  1175. XIf the mailer doesn't ask for the encryption key, it's because
  1176. Xyou don't have the 
  1177. X.ft CW
  1178. X.zf
  1179. X[\&encode]\f1 entered as the first 8 characters
  1180. Xof the line.  It MUST be so for this to work!!
  1181. X
  1182. XOn the other end, a person receiving this mail (they must also
  1183. Xbe using \f2elm\f1 to receive it, since this mailer has a
  1184. Xunique encryption program) will be reading the
  1185. Xmessage and then suddenly be prompted:
  1186. X.nf
  1187. X.ft CW
  1188. X.zf
  1189. X.ps 9
  1190. X.ti .5i
  1191. XEnter decryption key: @
  1192. X.ft 1 
  1193. X.ps 10 
  1194. X.fi 
  1195. Xand will again be asked to re-enter it to confirm.  
  1196. XThe program will then on-the-fly decrypt the mail 
  1197. Xand display each line as it is decoded.  The 
  1198. X.ft CW
  1199. X.zf
  1200. X[\&clear]\f1 
  1201. Xline signifies that the block to encrypt is done.  
  1202. X
  1203. XNote that it is not possible currently to \f2pipe\f1 or \f2print\f1
  1204. Xencrypted mail.
  1205. X.sp 2
  1206. XThe other option on outgoing mail is the ability to
  1207. Xspecify what section of the message you want to have
  1208. Xarchived (assuming \f2copy\f1 is enabled) and what section
  1209. Xyou don't.  This is most useful for sending out source
  1210. Xfile listings and so on.
  1211. X
  1212. XTo indicate the end of the section that should be
  1213. Xsaved in the archive, you need merely to have the
  1214. Xline
  1215. X.nf
  1216. X.ft CW
  1217. X.zf
  1218. X.ti .5i
  1219. X[\&nosave]
  1220. X.ft 1
  1221. Xor
  1222. X.ft CW
  1223. X.zf
  1224. X.ti .5i
  1225. X[\&no save]
  1226. X.ft 1
  1227. X.fi
  1228. Xappear by itself on a line.  This will be removed from 
  1229. Xthe outgoing mail, and will indicate the last line of
  1230. Xthe message in the saved mail.
  1231. XOther than this, the saved mail is identical to the outgoing mail.
  1232. X.br
  1233. X.ne 5
  1234. X.sp
  1235. X.hn 1 Customized header lines
  1236. X
  1237. XThe mailer provides a facility for including customized
  1238. Xheader lines in the messages you send.
  1239. XIf you have an \f2.elm/elmheaders\f1 file,
  1240. Xthe mailer will include its contents
  1241. Ximmediately after the regular headers of all outbound  mail.
  1242. XThe mailer supports use of the backquote convention in this file.
  1243. XHere's a typical \f2.elm/elmheaders\f1 file.
  1244. X.ft CW
  1245. X.zf
  1246. X.nf
  1247. X  Organization: Hewlett-Packard Laboratories
  1248. X  Phone: (415)-555-1234
  1249. X  Operating System: `uname -srv`
  1250. X.fi
  1251. X.ft 1
  1252. XThese lines will appear after all other header lines in the message.
  1253. X.br
  1254. X.ne 5
  1255. X.sp
  1256. X.hn 1 Commands
  1257. X.sp
  1258. X
  1259. XThis section will discuss each command in the \f2elm\f1
  1260. Xprogram in more detail than above, including the 
  1261. Xprompts the user can expect upon executing the
  1262. Xcommand, the meaning of different options, etc.
  1263. X
  1264. X.lp \h'24p'? 66p
  1265. XHelp.  This command used once puts you in the \f2help\f1
  1266. Xmode, where any key you press will result in a one-line description
  1267. Xof the key.  Pressed again at this point will produce a two page
  1268. Xsummary listing each command available.
  1269. X<escape> or `.' will leave the help mode and return you to the
  1270. Xmain menu level.
  1271. X
  1272. X.lp \h'24p'<space> 66p
  1273. XDisplay the current message.
  1274. X<space> is useful for reading through a mail folder.
  1275. XWhen issued from the index screen,
  1276. Xit will display the first screen of the current message;
  1277. Xand then when issued while in the builtin pager,
  1278. Xit will page through the message to the end;
  1279. Xand then when issued at the end of a message
  1280. X(with either the builtin pager or an external pager),
  1281. Xit will display the first screen of the next message not marked for deletion.
  1282. X
  1283. X.lp \h'24p'<return> 66p
  1284. XDisplay the current message.
  1285. X<return> behaves somewhat differently from <space>.
  1286. XWhen issued while in the builtin pager,
  1287. Xit will scroll the current message forward one line,
  1288. Xand then when issued at the end of a message
  1289. X(with either the builtin pager or an external pager),
  1290. Xit will redisplay the first screen of the the \f2current\fP message.
  1291. XThe latter is useful in case you have issued a non-pager
  1292. Xcommand while in the builtin pager and want to restart the display
  1293. Xof the current message.
  1294. X
  1295. X.lp \h'24p'! 66p
  1296. XShell.  This allows you to send a command to the shell without
  1297. Xleaving the program. 
  1298. X
  1299. X.lp \h'24p'| 66p
  1300. XPipe.  This command allows you to pipe the current message
  1301. Xor the set of \f2tagged\f1 messages
  1302. Xthrough other filters as you desire.  The shell used for
  1303. Xthe entire command will be either the one specified in
  1304. Xyour \f2.elm/elmrc\f1 file, or the default shell (see above).
  1305. X
  1306. X.lp \h'24p'\/ 66p
  1307. XPattern match.  This command, on the top level, allows the
  1308. Xuser to search through all the \f2from\f1 and \f2subject\f1 lines of
  1309. Xthe current folder starting at the current message and
  1310. Xcontinuing through the end.  If the first character of the
  1311. Xpattern is a `/', then the program will try to match the
  1312. Xspecified pattern against \f2any\f1 line in the folder.  Again,
  1313. Xthis works from one after the current message through the
  1314. Xend.  Both searches are case insensitive.
  1315. X
  1316. X.lp "\h'24p'- or <left>" 66p
  1317. XDisplay the next page of the message index.
  1318. X
  1319. X.lp "\h'24p'+ or <right>" 66p
  1320. XDisplay the previous page of the message index.
  1321. X
  1322. X.lp \h'24p'<number><return> 66p
  1323. XSpecify new current message.  When you type in any digit key \f2elm\f1 will
  1324. Xprompt ``Set current to : n'', where `n' is
  1325. Xthe digit entered.  Enter the full number
  1326. Xand terminate with <return>.  Note that changing the
  1327. Xcurrent message to a message not on the 
  1328. Xcurrent page of headers will result in a new page
  1329. Xbeing displayed.
  1330. X
  1331. X.lp \h'24p'< 66p
  1332. XScan message for calendar entries.  A rather novel feature of 
  1333. Xthe \f2elm\f1 mailer is the ability to automatically incorporate
  1334. Xcalendar/agenda information from a mail message into the users
  1335. Xcalendar file.  This is done quite simply; any line that has
  1336. Xthe pattern
  1337. X
  1338. X.ti +.5i
  1339. X-> \f2calendar entry\f1
  1340. X
  1341. Xwill be automatically added to the users \f2calendar\f1 file (see
  1342. Xthe \f2calendar\f1 option of the \f2.elm/elmrc\f1 file) if the `<'
  1343. Xcommand is used.
  1344. X.sp
  1345. XFor example, let's say we had a message with the text:
  1346. X
  1347. X.ft CW
  1348. X.zf
  1349. X.ps 9
  1350. X.ti +.5i
  1351. XRegardless of that meeting, here's the seminar stuff:
  1352. X.br
  1353. X.ti +.5i
  1354. X-> 8/03 3:00pm: AI Seminar with Ira Goldstein of HP Labs
  1355. X.ft 1
  1356. X.ps 10
  1357. X
  1358. Xthen using the `<' command would add the line:
  1359. X
  1360. X.ft CW
  1361. X.zf
  1362. X.ps 9
  1363. X.ti +.5i
  1364. X8/03 3:00pm: AI Seminar with Ira Goldstein of HP Labs
  1365. X.ps 10
  1366. X.ft 1
  1367. X
  1368. Xto the users \f2calendar\f1 file.
  1369. X
  1370. X.lp \h'24p'a 66p
  1371. XAlias.  The alias system is a way by which more complex mail addresses
  1372. Xcan be shortened for the mail user.  For example:
  1373. X.nf
  1374. X.ps 9
  1375. X.ft CW
  1376. X.zf
  1377. X.ti +.5i
  1378. Xjoe, bleu   =  Joe Bleu  =   joe@hpfcla.SSO.HP.COM
  1379. X.ft 1
  1380. X.ps 10
  1381. X.fi
  1382. Xwhich allows mail to `joe' or `bleu' with the system expanding
  1383. Xthe address properly.  As is obvious, this not only saves remembering
  1384. Xcomplex addresses, it also allows the address to be optimized to
  1385. Xgo through the minimum number of machines without anyone having to
  1386. Xbe informed of the change.  A more detailed discussion can
  1387. Xbe found in either the section entitled \f2The Alias System\f1 in
  1388. Xthis document or \f2The Elm Alias System Users Guide\f1.
  1389. X
  1390. X.lp \h'24p'b 66p
  1391. XBounce mail.  This ``remails'' mail to someone else in such a
  1392. Xway as to make the return address the original sender rather
  1393. Xthan you.  (The \f2forward\f1 command is similar, but it makes
  1394. Xthe return address \f2you\f1 rather than the original sender.)
  1395. X
  1396. X.lp \h'24p'C 66p
  1397. XCopy to folder.  This command copies the current message or set of
  1398. Xtagged messages to
  1399. Xa folder.  If there is anything in the folder currently the
  1400. Xmessage or messages are appended to the end, otherwise the folder is created
  1401. Xcontaining only the newly copied message.  The prompt for this command
  1402. Xis `Copy to folder: '.  A response of <return> cancels the command
  1403. Xand returns the user to the system prompt.  The usual filename
  1404. Xmetacharacters are available, too.  That is, this command expands filenames
  1405. Xwith `~' being your home directory and `=' being your
  1406. X\f2maildir\f1 directory, if defined.  This command also allows you to
  1407. Xuse `>' for your \f2receivedmail\f1 folder and
  1408. X`<' for your \f2sentmail\f1 folder.  You can also enter `?' at the prompt
  1409. Xto list the names of your folders.
  1410. X
  1411. X.lp \h'24p'c 66p
  1412. XChange folder.  Specifying this command allows the user to change
  1413. Xthe folder that is currently being read.  This is intended 
  1414. Xfor perusal and reply to previously archived messages.
  1415. XThe prompt is `Name of new folder: ' and entering <return>
  1416. Xcancels the operation, while entering a filename causes the program
  1417. Xto read that file as the new folder,
  1418. Xif possible.  This command expands filenames
  1419. Xwith `~' being your home directory and `=' being your
  1420. X\f2maildir\f1 directory, if defined.  This command also allows you to
  1421. Xuse `!' as an abbreviation for you incoming mailbox,
  1422. X`>' for your \f2receivedmail\f1 folder, and
  1423. X`<' for your \f2sentmail\f1 folder.  You can also enter `?' at the prompt
  1424. Xto list the names of your folders.
  1425. X
  1426. X.lp "\h'24p'd, u" 66p
  1427. XDelete and Undelete.  Neither of these two commands have any prompts
  1428. Xand indicate their action by either adding a `D' to the current
  1429. Xmessage index entry (indicating deletion pending) or removing
  1430. Xthe `D' (indicating that the message isn't set for deletion).
  1431. X
  1432. X.lp \h'24p'<control>-D 66p
  1433. XThis command allows you to easily mark for deletion all messages 
  1434. Xthat have a specific pattern.  After <control>-D is pressed,
  1435. Xthe program will prompt for the string to match (currently it
  1436. Xonly matches either the \f2from\f1 or \f2subject\f1 lines of
  1437. Xthe message).
  1438. X
  1439. X.lp \h'24p'<control>-U 66p
  1440. XThis is the direct opposite command to the previous \(em all messages
  1441. Xthat match the specified pattern can have any mark for deletion 
  1442. Xremoved by using this command.
  1443. X
  1444. X.lp \h'24p'e 66p
  1445. XEdit mailbox.  This allows you to modify the current mail file at
  1446. Xa single keystroke.  This is mostly useful for editing down messages
  1447. Xbefore saving them.  Modifying headers should be done with extreme
  1448. Xcaution, as they contain routing information and other vital stuff
  1449. Xfor full functionality.
  1450. X
  1451. X.lp \h'24p'f 66p
  1452. XForward.  Allows the user to forward the current message to another user.
  1453. XThis copies the message into the edit buffer and allows the user to add
  1454. Xtheir own message too.  The prompt is `Forward to:' and will expand an alias
  1455. Xif entered.  (See also \f2bounce\f1, above.)
  1456. X
  1457. XElm will ask you if you want to edit the message before sending it.  If you
  1458. Xanswer `yes', Elm will prepend your prefix string to each line of the
  1459. Xmessage, and let you edit the result.  If you do not want the prefix string
  1460. Xon each line, answer `no'; you will have another chance to edit the message
  1461. Xwhen you get to the `send' menu.  (See also the `elmrc' section, under
  1462. X\f2prefix\f1.)
  1463. X
  1464. X.lp \h'24p'g 66p
  1465. XGroup reply.  Identical to \f2reply\f1 below, except that the
  1466. Xresponse is mailed to \f2all recipients\f1 of the original
  1467. Xmessage (except yourself \(em see the \f2alternatives\f1
  1468. Xoption for your \f2.elm/elmrc\f1 file above).
  1469. SHAR_EOF
  1470. echo "End of part 5"
  1471. echo "File doc/Ref.guide is continued in part 6"
  1472. echo "6" > s2_seq_.tmp
  1473. exit 0
  1474.  
  1475. exit 0 # Just in case...
  1476.